Bug 1004544 - (grub2-icons) Package Review: grub2-icons
Package Review: grub2-icons
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nasacircle
  Show dependency treegraph
 
Reported: 2013-09-04 17:51 EDT by Simon A. Erat
Modified: 2014-05-30 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Simon A. Erat 2013-09-04 17:51:08 EDT
My sponsor is irc:bessser82

This is a split-up of: https://bugzilla.redhat.com/show_bug.cgi?id=1002328
Its actualy some sort of a dependency.

It provides several Distro Icons at /booot/grub2/icons
So grub2-themes will only need to symlink to that dir, to display the provided icon next to the menu entry.

Eg: /boot/grub2/themes/THEMENAME/icons --> /boot/grub2/icons

Currently provided icons:
 * debian.png
 * fedora.png
 * gentoo.png
 * gnu-linux.png
 * linuxmint.png
 * opensuse.png
 * osx.png
 * recovery.png
 * sabayon.png
 * slackware.png
 * submenu.png
 * ubuntu.png
 * windows.png

SPEC: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons.spec
SRPM: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons-0.0.2-0.fc21.noarch.rpm
Comment 1 Christopher Meng 2013-09-04 20:15:08 EDT
Ah....

1. License:     GPL3 and CC0 and CC-BY-SA and CC-BY and LGPL and LGPL3+

LGPL? LGPLv2?
LGPL3+? LGPLv3+

2. %description
%summary
If a symlink named 'icons', which refers to /boot/grub2/icons is placed 
in your grub2-theme, it will show these icons if it matches -class
 * arch.png
 * debian.png
 * fedora.png
 * gentoo.png
 * gnu-linux.png
 * linuxmint.png
 * opensuse.png
 * osx.png
 * recovery.png
 * sabayon.png
 * slackware.png
 * submenu.png
 * ubuntu.png
 * windows.png

%description
%summary             ???What are these?

3. If you don't want to support EL5(I think no need), remove:

rm -rf 	 %{buildroot}

Whole %clean

%defattr(-,root,root,-) 

4. Better add your email at %changelog
Comment 2 Björn 'besser82' Esser 2013-09-05 01:42:25 EDT
Taken :)
Comment 3 Susi Lehtola 2013-09-05 08:32:54 EDT
URL:         http://sea.fedorapeople.org/Review/%{name}
Source0:     http://sea.fedorapeople.org/Review/%{name}/%{name}-%{version}.tar.gz

This looks like pure nonsense. Where are the icons from? Upstream URL?
Comment 4 Simon A. Erat 2013-09-05 09:18:37 EDT
So the ./icons/LICENSES is pure nonsense?
Each and every single icons is named by (if info was available):

* Image name
* Author
* upstream (download) url
* authors homepage
* 'license naming'

Does that help?
Comment 5 Susi Lehtola 2013-09-05 09:24:56 EDT
Okay. This does somewhat run against
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Bundling_of_multiple_projects

but may be acceptable in this specific case.


But the source URL is still nonsense. There's no upstream project, this is a bundle. So leave out the URL and source URL altogether.
https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Referencing_Source
Comment 6 Simon A. Erat 2013-09-05 09:27:16 EDT
Sorry i did copy paste the wrong file into the previous 'file update'.. 

SPEC: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons.spec
SRPM: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons-0.0.2-1.fc21.src.rpm
Comment 7 Simon A. Erat 2013-09-05 09:31:15 EDT
Leave Url and source url for the spec, that is, right?
Sorry i'm still new here.
Comment 8 Simon A. Erat 2013-09-05 09:45:49 EDT
* Thu Sep 05 2013 - sea@fedorapeole.org - 0.0.2-2
- Removed SOURCE and URL from spec,
- as said https://bugzilla.redhat.com/show_bug.cgi?id=1004544#c5
- Re-added SOURCE as package wont build without it
---

SPEC: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons.spec
SRPM: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons-0.0.2-1.fc19.src.rpm
Comment 9 Susi Lehtola 2013-09-05 10:06:25 EDT
(In reply to Simon A. Erat from comment #7)
> Leave Url and source url for the spec, that is, right?
> Sorry i'm still new here.

Yes. Basically you should add a comment that there's no URL since there is no upstream project and this is more of a metapackage.

And the source line should be just
Source0:     %{name}-%{version}.tar.gz

with instructions on how to generate the tarball from the separate upstream sources. (You should actually ship a script that generates the tarball.)
Comment 10 Ralf Corsepius 2013-09-06 06:05:42 EDT
Please fix your spec's changelog entries:

Am I correct in assuming "sea@fedorapeole.org" actually should be "sea@fedorapeople.org"?
Comment 11 Simon A. Erat 2013-09-06 10:45:27 EDT
Yes Ralf, you are. Thank you.

* Fri Sep 06 2013 - Simon A. Erat sea@fedorapeople.org - 0.0.2-3
- Changed SOURCE0 and License-typos
- Added SOURCE1: generate-tarball.sh
- fixed email/name

SPEC: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons.spec
SRPM: http://sea.fedorapeople.org/Review/grub2-icons/grub2-icons-0.0.2-3.fc19.src.rpm
Comment 12 Christopher Meng 2013-09-06 11:22:58 EDT
404 spec URL.
Comment 13 Simon A. Erat 2013-09-06 23:57:54 EDT
404 fixed
Comment 14 Michael Schwendt 2013-09-07 04:56:14 EDT
> sea@fedorapeople.org

Is that a verified address? Or did you mean s/people/project/? I have not seen anyone using a fedorapeople mail alias before.
Comment 15 Simon A. Erat 2013-09-07 09:29:46 EDT
Well, according to my sponsor, i was told i'd get a new email adress, sea@fedorapeople.org, i could use for such things.
(or i misunderstood that part, but i'm kinda sure he said it'll be redirected)

Additionaly the 'standard ticket mail' seemed kind of supporting this idea.
>kevin <kevin@scrye.com> has sponsored you for membership in the fedorabugs group of the Fedora account system. If applicable, this change should propagate into the e-mail aliases and git repository within an hour.

With all this fancy cool new stuff impacting, excitement growing, one uses things without double check.

Sent a mail to both adresses, about 90minutes earlier, but nothing returned, neither an error, nor any forwared/redirected mail.

However, i got 'it' approved 'this' way..
> http://sea.fedorapeople.org/Approved/vicious/vicious.spec
> https://bugzilla.redhat.com/show_bug.cgi?id=1004053

So, i just dont know.
Comment 16 Simon A. Erat 2013-09-07 09:50:21 EDT
Ok just had a talk with sponsor, he'll cleared up my irritation :D
Changed email for next update.
Comment 17 Susi Lehtola 2013-09-08 06:04:51 EDT
The Summary
 Shows icon of OS next to GRUB2 menuitem

is bad. This is only a package containing menu icons for grub, so the correct summary would be something like
 A collection of operating system menu icons for GRUB2
Comment 18 Christopher Meng 2013-11-19 06:28:50 EST
After 2 months, what's going on here?
Comment 19 Simon A. Erat 2014-05-30 21:11:11 EDT
Had to replace my computer after hardware failure, and still trying to get 'my system' work as it used to.

I hope to continue in about a month.
Sorry for delays.

Note You need to log in before you can comment on or make changes to this bug.